
QGIS Application - Bug report #3596

georeferencer broken

2011-03-11 12:01 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13656

Description

the commit in r15409 seems to have broken the geoferencer, since the non georeferenced image will not show in the tool window

Associated revisions

Revision c54b8e50 - 2011-03-14 09:42 PM - mmassing -

Fix #3596

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15481 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 1d974e8a - 2011-03-14 09:42 PM - mmassing -

Fix #3596

git-svn-id: http://svn.osgeo.org/qgis/trunk@15481 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-03-13 02:15 PM - John Tull

I can confirm this issue. The load raster tool reports that the image is loaded, but it is not drawn in the window.

#2 - 2011-03-13 03:30 PM - mmassing -

I'll look into this tomorrow.

#3 - 2011-03-14 05:17 AM - Werner Macho

Replying to [comment:3 mmassing]:

I'll look into this tomorrow.

As far as i remember QGIS were able to load plain jpg (like from a digital cam) before ..

Now QGIS cannot load just a pic (i'm not saying that i want to use QGIS as a picture viewer - just for test ;) ).

I think as long as QGIS does not load "just" pictures .. there will be less chance to fix georeference - because georeference wants to load "just pictures" to
add georef info to it ..

just my thoughts about this issue ..

regards

Werner

#4 - 2011-03-14 05:24 AM - Giovanni Manghi

Radim passed this mail a few days ago

http://lists.osgeo.org/pipermail/qgis-developer/2011-March/013295.html

then he introduced what he called a "ugly" workaround

https://trac.osgeo.org/qgis/changeset/15409/

#5 - 2011-03-14 01:49 PM - mmassing -

- Resolution set to fixed

- Status changed from Open to Closed

Should be fixed in commit:1d974e8a (SVN r15482)
